<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<html:html>
    <head>
    <title>Using the Struts Validator</title>
    <html:base/>
</head>

<body>
    <h1>Using the Struts Validator</h1>

    <logic:messagesPresent>
        <bean:message key="errors.header"/>
        <ul>
            <html:messages id="error" property="byte">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="short">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="integer">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="long">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="float">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="floatRange">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="double">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="date">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="creditCard">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="city">
                <li><bean:write name="error"/></li>
            </html:messages>
            <html:messages id="error" property="zip">
                <li><bean:write name="error"/></li>
            </html:messages>
        </ul>
        <hr>
    </logic:messagesPresent>

    <html:form action="ch09_02">

      <bean:message key="ch09_03.byte.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="byte" size="15" maxlength="15"/>
      <br>
      <br>

      <bean:message key="ch09_03.short.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="short" size="15" maxlength="15"/>
      <br>
      <br>

      <bean:message key="ch09_03.integer.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="integer" size="15" maxlength="15"/>
      <br>
      <br>

      <bean:message key="ch09_03.long.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="long" size="15" maxlength="15"/>
      <br>
      <br>

      <bean:message key="ch09_03.float.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="float" size="15" maxlength="15"/>
      <br>
      <br>

      <bean:message key="ch09_03.floatRange.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="floatRange" size="15" maxlength="15"/>
      <br>
      <br>

      <bean:message key="ch09_03.double.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="double" size="15" maxlength="15"/>
      <br>
      <br>

      <bean:message key="ch09_03.date.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="date" size="15" maxlength="15"/>
      <br>
      <br>

      <bean:message key="ch09_03.creditCard.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="creditCard" size="16" maxlength="16"/>
      <br>
      <br>

      <bean:message key="ch09_03.city.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="city" size="16" maxlength="16"/>
      <br>
      <br>

      <bean:message key="ch09_03.zip.text"/>
      &nbsp;
      &nbsp;
      &nbsp;
      <html:text property="zip" size="5" maxlength="5"/>
      <br>
      <br>

      <html:submit property="submit">
         Submit
      </html:submit>
      &nbsp;
      <html:reset>
         Reset
      </html:reset>

</html:form>

</body>
</html:html>
